package vars

import "gitea.ligthert.net/golang/sudoku-funpark/outputter"

type Operator interface {
	// Start the operator
	Start()
}

type Vars struct {
	// Instance of the Outputter struct
	Outputter *outputter.Outputter
	// Role is either "scheduler" or "agent"
	Role string
	// Operator interface
	Operator Operator
	// [agent] NumCPUs is the number of CPUs to use
	NumCPUs int
	// Address is the address of the instance to listen to/connect to
	Address string
	// Port is the port of the instance to listen on/connect to
	Port int
}
